(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_xml_length ppf = function
  | u_l -> Ustamped_darray_print_xml.print_xml_length ppf u_l
;;

let print_xml_arrow_number ppf = function
  | u_i -> Ustamped_darray_print_xml.print_xml_index ppf u_i
;;

let print_xml_arrow px_a px_b ppf = function
  | { Udynamic_graph.value = a; Udynamic_graph.image = b; } ->
    Format.fprintf ppf "%,@[<1>{@,"; px_a ppf a; Format.fprintf ppf "%,;";
    px_b ppf b; Format.fprintf ppf "%,;"; Format.fprintf ppf "%,@,}@]"
;;

let print_xml_t px_a px_b ppf = function
  | a_b_a_u_t ->
    Ustamped_darray_print_xml.print_xml_t (print_xml_arrow px_a px_b) ppf
     a_b_a_u_t
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
