(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_xml_index ppf = function
  | u_i -> Udynamic_array_print_xml.print_xml_index ppf u_i
;;

let print_xml_length ppf = function
  | u_l -> Udynamic_array_print_xml.print_xml_length ppf u_l
;;

let print_xml_stamped px_a ppf = function
  | Ustamped_darray.Unset -> Format.fprintf ppf "%s" "<Unset/>"
  | Ustamped_darray.Valid a ->
    Format.fprintf ppf "@[<1>%s@," "<Valid>"; px_a ppf a;
    Format.fprintf ppf "%,</Valid>"; Format.fprintf ppf "%,@]"
;;

let print_xml_t px_a ppf = function
  | { Ustamped_darray.darray = a_s_u_t; Ustamped_darray.next_unset = i; } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Udynamic_array_print_xml.print_xml_t (print_xml_stamped px_a) ppf a_s_u_t;
    Format.fprintf ppf "%,;"; print_xml_index ppf i;
    Format.fprintf ppf "%,;"; Format.fprintf ppf "%,@,}@]"
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
