(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ufilename.mli,v 1.8 2014/02/25 18:52:30 fclement Exp $ *)

(** {3 More filename operations} *)

type filename = string;;
type t = filename;;
(** The type for filenames. It is an alias for type [string]. *)

val flatten : filename list -> filename;;

val chop_extension : filename -> filename;;
(** [chop_extension name] returns [name] without its extension, or unchanged
   if no extension is found.
   The extension is the shortest suffix starting with a period and not
   including a directory separator.  *)
