(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: upositive_rational_range_types.mli,v 1.3 2014/01/10 15:28:04 fclement Exp $ *)

(** {3 The private type of positive rational number ranges} *)

type nonempty_range = private
  {
   left : Upositive_rational.t;
   right : Upositive_rational.t;
  }
;;
(** Left bound is included, right bound is excluded. *)

val to_nonempty_range :
  Upositive_rational.t -> Upositive_rational.t -> nonempty_range
;;

type t =
  | Empty
  | Nonempty of nonempty_range
;;
