type index = Unatural.t
;;
type index_set_1d = private
   | Is_empty
   | Is_range of Natural_range.t
   (* begin
        rule Is_range ({ Natural_range.left_bound = l; right_bound = r })
          when l = r ->
          Is_empty
      end *)
   | Is_extensional of index array
   (* begin
        rule Is_extensional ([|  |]) -> Is_empty
      end *)
   | Is_union of index_set_1d * index_set_1d
   (* begin
        associative
        commutative
        neutral (Is_empty)
        idempotent
      end *)
;;
val is_empty : index_set_1d
;;

val is_range : Natural_range.t -> index_set_1d
;;

val is_extensional : index array -> index_set_1d
;;

val is_union : index_set_1d * index_set_1d -> index_set_1d
;;

val eq_index_set_1d : index_set_1d -> index_set_1d -> bool
;;

type t = index_set_1d
;;
